Subject: bug#42349: closed (Re: [bug#42348] [PATCH 0/4] Add xdg-desktop-portal)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Jul 2020 09:56:02 +0000

Your bug report

#42348: [PATCH 0/4] Add xdg-desktop-portal

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42348: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42348
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42348] [PATCH 0/4] Add xdg-desktop-portal
From: Ludovic Courtès <[email-masked]>
To: Anders Thuné <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Jul 2020 11:55:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Anders,

Anders Thuné <[email-masked]> skribis:

> This patch series adds xdg-desktop-portal and the xdg-desktop-portal-gtk backend.
> It also adds pipewire 0.3 (which xdg-desktop-portal depends on) - I did not
> update the existing pipewire package since there were packages depending on it.

It would be nice if you could check as a followup whether we can just
upgrade ‘pipewire’ to 0.3.  See ‘guix refresh -l [email-masked]’ for the
list of dependents to rebuild.

> xdg-desktop-portal greatly improves the usability of Flatpak-installed apps,
> allowing them to open file chooser dialogs, open links, et.c. This was
> requested in issue 37289.

You would still need to make it a dependency of Flatpak though, no?

> Anders Thuné (4):
>   gnu: Add pipewire-0.3.
>   gnu: Add libportal.
>   gnu: Add xdg-desktop-portal.
>   gnu: Add xdg-desktop-portal-gtk.

I took the liberty to tweak descriptions according to our guidelines:

  https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

Applied, thanks!

Ludo’.

Subject: [PATCH 0/4] Add xdg-desktop-portal
From: Anders Thuné <[email-masked]>
To: [email-masked]
Cc: Anders Thuné <[email-masked]>
Date: Tue, 14 Jul 2020 01:31:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds xdg-desktop-portal and the xdg-desktop-portal-gtk backend.
It also adds pipewire 0.3 (which xdg-desktop-portal depends on) - I did not
update the existing pipewire package since there were packages depending on it.

xdg-desktop-portal greatly improves the usability of Flatpak-installed apps,
allowing them to open file chooser dialogs, open links, et.c. This was
requested in issue 37289.

Anders Thuné (4):
  gnu: Add pipewire-0.3.
  gnu: Add libportal.
  gnu: Add xdg-desktop-portal.
  gnu: Add xdg-desktop-portal-gtk.

 gnu/packages/freedesktop.scm | 144 +++++++++++++++++++++++++++++++++++
 gnu/packages/linux.scm       |  30 ++++++++
 2 files changed, 174 insertions(+)

-- 
2.27.0